Updates a shipment details

Updates details of a shipment identified by the shipmentId.
This is a partial update, meaning that only the provided fields will be updated,
except when updating segments, the whole segments will be replaced fully.

Changing the status of the shipment affects the statuses of the segments. The following
status changes are allowed:

  • pendingongoing
    • changes the status of the first segment to ongoing
  • pendingcancelled
    • changes the status of all segments to cancelled
  • ongoingcancelled
    • cancels the current ongoing segment and all the succeeding segments
  • ongoingcompleted
    • completes the current ongoing segment and cancels all the succeeding segments

Note:
segments and autoStart can be updated via this API call only if the shipment is in
pending state.

The "Tracker only" variant of the request updates the given tracking device
to all ongoing and pending state segments of the shipment, so it allows
to make tracker association both for ongoing and pending state shipments.

Path Params
string
required
^SHP-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Shipment ID

Body Params

Body for updating a shipment

string
length ≤ 50

Name of the shipment

string
length ≤ 1000

Description of the shipment

string
length ≤ 50

Unique identifier for identifying the shipment in external systems

boolean

A boolean parameter defining whether the shipment starts upon exiting the first origin
location.

boolean

Flag telling if shipment is a subShipment.

string
enum

Status of the shipment

Allowed:
ruleIds
array of uuids
length ≤ 10

Array of ruleIds to associate with the shipment

ruleIds
segments
array of objects
length between 1 and 100

Array of objects each defining the origin and destination of the segment.
The maximum number of segments in a shipment can have stricter project
specific limits than the maximum value documented here.

segments

A segment of a shipment.

string
length ≤ 50

Name of the segment

string
length ≤ 1000

Description of the segment

string
enum
required

Transport mode of the segment

string
length ≤ 50

Unique identifier for identifying the segment in external systems

string
length between 1 and 50

ID of the tracking device that produces data for this segment

string
required
^LOC-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Origin location of this segment

string
required
^LOC-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Destination location of this segment

date-time

ETD for the segment

date-time

ETA for the segment

metadata
object

Metadata JSON object

date-time

ETD for the shipment

date-time

ETA for the shipment

metadata
object

Metadata JSON object

Responses
204

Successful (no content)

The shipment information was updated

言語
認証情報
URL
LoadingLoading…
応答
試してみる!をクリックしてリクエストを開始し、こちらで応答をご確認ください! または例を選択:
application/json